Bug 136775 - Upgrade to ipsec-tools 0.3 with NAT traversal support
Summary: Upgrade to ipsec-tools 0.3 with NAT traversal support
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ipsec-tools   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL: http://www.sans.org/rr/papers/20/731.pdf
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-22 10:07 UTC by Aleksander Adamowski
Modified: 2014-03-17 02:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-23 00:50:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Aleksander Adamowski 2004-10-22 10:07:10 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040813

Description of problem:
The current RHEL 4 beta and rawhide ship with ipsec-tools 0.2.5.

This is the same old release as in RHEL3. In the meantime, the
ipsec-tools project (http://ipsec-tools.sourceforge.net) has released
version 0.3, which has stabilised and is currently at 0.3.3.

This version supports one new feature that would have a large value
for corporate environments: support for the NAT-T (NAT traversal)
extension to the IPSec which allows the communication IPSec endpoints
to discover NAT sitting between them and encapsulate IPSec packets in
UDP packets sent through the IKE port (See
http://www.mpirical.com/companion/mpirical_companion.html#http://www.mpirical.com/companion/IP/NAT-T_-_NAT-Traversal.htm
and http://www.sans.org/rr/papers/20/731.pdf).

I vote for upgrading ipsec-tools to version 0.3 for RHEL4.

Version-Release number of selected component (if applicable):
ipsec-tools-0.2.5-6

How reproducible:
Always

Steps to Reproduce:
none
    

Additional info:

Comment 1 Bill Nottingham 2004-10-23 00:50:02 UTC
Will be in beta 2.


Note You need to log in before you can comment on or make changes to this bug.